/* ... "eb.h" ... */
/* header file for event builder + data router common definitions */

#define MASTER_VME_BASE                0x00800000
#define VME_STND_BASE                  0xf0000000

/* Space allocation definitions for event processors ... */

#define EVENT_LOAD_SPACE                  0x40000
#define EVENT_DATA_SPACE                 0x280000

/* MAX_LENGTH is usable data space , HEADER_LENGTH is for comms record */ 
/* HWM_LENGTH is extra space allocated at buffer end to write current event */

#define DATABUF_MAX_LEN                    0x3fc0
#define DATABUF_HEADER_LEN                   0x40
#define DATABUF_TRAILER_LEN                  0x10
#define DATABUF_HWM_LEN                    0x0fb0
#define DATABUF_SPACE  (DATABUF_HEADER_LEN+DATABUF_HEADER_LEN+DATABUF_MAX_LEN+DATABUF_TRAILER_LEN)

#define BUFFERSPERSTREAM                        4
#define MAXSTREAMS                              4

#define EVENT_END_BLOCK_TOKEN          0xffff0000

/* Cpu state flags ... (NO_RESPONSE,LOAD_TIMEOUT are status returns only) */

enum {
  UNINITIALISED=0,
  KERNELRESET,
  EXECLOADED,
  INITIALISED,
  STOPPED,
  GOING,
  FLUSHING,
  NO_RESPONSE,
  LOAD_TIMEOUT
  };

/* Code download states in master ... */

enum {
  NOTLOADED,
  LOADING,
  LOADED,
  LOADERROR
  };

/* Usage flag values ... */

#define EB  1
#define DR  2





